Main Page Class List Class Members

# VHACD::TMMesh Class Reference

triangular manifold mesh data structure. More...

`#include <vhacdManifoldMesh.h>`

List of all members.

## Public Member Functions
CircularListElement< TMMEdge > * | AddEdge ()
| Add vertex to the mesh.
CircularListElement < TMMTriangle > * | AddTriangle ()
| Add vertex to the mesh.
CircularListElement< TMMVertex > * | AddVertex ()
| Add vertex to the mesh.
bool | CheckConsistancy ()
void | Clear ()
void | Copy (TMMesh &mesh)
bool | Denormalize ()
CircularList< TMMEdge > & | GetEdges ()
| Returns the edges circular list.
const CircularList< TMMEdge > & | GetEdges () const
| Returns the edges circular list.
void | GetIFS (Vec3< double > *const points, Vec3< int32_t > *const triangles)
size_t | GetNEdges () const
| Returns the number of edges.
size_t | GetNTriangles () const
| Returns the number of triangles.
size_t | GetNVertices () const
| Returns the number of vertices>.
CircularList< TMMTriangle > & | GetTriangles ()
| Returns the triangles circular list.
const CircularList< TMMTriangle > & | GetTriangles () const
| Returns the triangles circular list.
CircularList< TMMVertex > & | GetVertices ()
| Returns the vertices circular list.
const CircularList< TMMVertex > & | GetVertices () const
| Returns the vertices circular list.
bool | Normalize ()
void | Print ()
| Print mesh information.
| TMMesh ()
| Constructor.
virtual | ~TMMesh (void)
| Destructor.
## Friends
class | ICHull

## Detailed Description

triangular manifold mesh data structure.

## Constructor & Destructor Documentation

VHACD::TMMesh::TMMesh | ( |  | ) |

Constructor.

virtual VHACD::TMMesh::~TMMesh | ( | void |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

CircularListElement<TMMEdge>* VHACD::TMMesh::AddEdge | ( |  | ) | `[inline]`

Add vertex to the mesh.

CircularListElement<TMMTriangle>* VHACD::TMMesh::AddTriangle | ( |  | ) | `[inline]`

Add vertex to the mesh.

CircularListElement<TMMVertex>* VHACD::TMMesh::AddVertex | ( |  | ) | `[inline]`

Add vertex to the mesh.

bool VHACD::TMMesh::CheckConsistancy | ( |  | ) |

void VHACD::TMMesh::Clear | ( |  | ) |

void VHACD::TMMesh::Copy | ( | TMMesh & | mesh | ) |

bool VHACD::TMMesh::Denormalize | ( |  | ) |

CircularList<TMMEdge>& VHACD::TMMesh::GetEdges | ( |  | ) | `[inline]`

Returns the edges circular list.

const CircularList<TMMEdge>& VHACD::TMMesh::GetEdges | ( |  | ) | const`[inline]`

Returns the edges circular list.

void VHACD::TMMesh::GetIFS | ( | Vec3< double > *const | points,
|  | Vec3< int32_t > *const | triangles |
| ) |  |  |

size_t VHACD::TMMesh::GetNEdges | ( |  | ) | const`[inline]`

Returns the number of edges.

size_t VHACD::TMMesh::GetNTriangles | ( |  | ) | const`[inline]`

Returns the number of triangles.

size_t VHACD::TMMesh::GetNVertices | ( |  | ) | const`[inline]`

Returns the number of vertices>.

CircularList<TMMTriangle>& VHACD::TMMesh::GetTriangles | ( |  | ) | `[inline]`

Returns the triangles circular list.

const CircularList<TMMTriangle>& VHACD::TMMesh::GetTriangles | ( |  | ) | const`[inline]`

Returns the triangles circular list.

CircularList<TMMVertex>& VHACD::TMMesh::GetVertices | ( |  | ) | `[inline]`

Returns the vertices circular list.

const CircularList<TMMVertex>& VHACD::TMMesh::GetVertices | ( |  | ) | const`[inline]`

Returns the vertices circular list.

bool VHACD::TMMesh::Normalize | ( |  | ) |

void VHACD::TMMesh::Print | ( |  | ) |

Print mesh information.

## Friends And Related Function Documentation

friend class ICHull`[friend]`

The documentation for this class was generated from the following file:

- sdk/extensions/authoring/source/VHACD/inc/vhacdManifoldMesh.h